/hardware-toolboxes-delete-one¶
Summary¶
Source repository:
jef-systems/jef-hardware-backendSource SHA:
da55214e1c0cdc1f340e0eaca147285c336498ddSource run id:
25890112298Lambda function:
jef-hardware-toolboxes-delete-oneHTTP method:
DELETEAPI path:
/hardware-toolboxes-delete-oneEndpoint URL:
https://5g667fp458.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-delete-onePayload mode:
json-body
Description¶
Function: jef-hardware-toolboxes-delete-oneModule: jef-hardwareAction: delete-oneMethod: DELETEInvocation Mode: ASYNCResource Path: /hardware-toolboxes-delete-oneTable: jef-hardware-toolboxesPrimary Key: toolbox_id
API Gateway Response¶
status\_code: 202message: Request accepted for asynchronous processing.
Payload Example¶
toolbox\_id: ccb00721-6479-4c14-be47-c021b95aa31a
Payload Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.toolbox_id.type",
"value": "S"
},
{
"key": "root.attributes.toolbox_id.required",
"value": "True"
},
{
"key": "root.attributes.toolbox_id.format",
"value": "uuidv4"
},
{
"key": "root.attributes.toolbox_id.regex",
"value": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
}
]
Response Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
Request Payload¶
[
{
"key": "toolbox_id",
"value": "ccb00721-6479-4c14-be47-c021b95aa31a"
}
]
Response¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
CMD curl¶
curl -X DELETE "https://5g667fp458.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-delete-one" -H "Content-Type: application/json" --data-raw "{\"toolbox_id\": \"ccb00721-6479-4c14-be47-c021b95aa31a\"}"
PowerShell curl¶
curl.exe -X DELETE "https://5g667fp458.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-delete-one" -H "Content-Type: application/json" --data-raw '{"toolbox_id": "ccb00721-6479-4c14-be47-c021b95aa31a"}'